Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Inherited Constants | Methods | Inherited Methods | [Expand All]
public interface

# Player

implements Parcelable Freezable<T>

com.google.android.gms.games.Player

Known Indirect Subclasses
PlayerEntity

PlayerEntity | Data object representing a set of Player data.

## Class Overview

Data interface for retrieving player information.

## Summary

[Expand] Inherited Constants

From interface android.os.Parcelable

int | CONTENTS_FILE_DESCRIPTOR |
int | PARCELABLE_WRITE_RETURN_VALUE |

Public Methods
abstract String | getDisplayName() Retrieves the display name for this player.
abstract void | getDisplayName(CharArrayBuffer dataOut) Loads the player's display name into the given `CharArrayBuffer`.
abstract Uri | getHiResImageUri() Retrieves the URI for loading this player's hi-res profile image.
abstract Uri | getIconImageUri() Retrieves the URI for loading this player's icon-size profile image.
abstract long | getLastPlayedWithTimestamp() Retrieves the timestamp at which this player last played a multiplayer game with the currently signed in user.
abstract String | getPlayerId() Retrieves the ID of this player.
abstract long | getRetrievedTimestamp() Retrieves the timestamp at which this player record was last updated locally.
abstract boolean | hasHiResImage() Indicates whether this player has a hi-res profile image to display.
abstract boolean | hasIconImage() Indicates whether this player has an icon-size profile image to display.

[Expand] Inherited Methods

From interface android.os.Parcelable

abstract int | describeContents()
abstract void | writeToParcel(Parcel arg0, int arg1)

From interface com.google.android.gms.common.data.Freezable

abstract T | freeze() Freeze a volatile representation into an immutable representation.
abstract boolean | isDataValid() Check to see if this object is valid for use.

## Public Methods

#### public abstract String getDisplayName ()

Retrieves the display name for this player.

##### Returns

- The player's display name.

#### public abstract void getDisplayName (CharArrayBuffer dataOut)

Loads the player's display name into the given `CharArrayBuffer`.

##### Parameters

dataOut | The buffer to load the data into.

#### public abstract Uri getHiResImageUri ()

Retrieves the URI for loading this player's hi-res profile image. Returns null if the player has no profile image.

To retrieve the Image from the `Uri`, use `ImageManager`.

##### Returns

- The image URI for the player's hi-res profile image, or null if the player has none.

#### public abstract Uri getIconImageUri ()

Retrieves the URI for loading this player's icon-size profile image. Returns null if the player has no profile image.

To retrieve the Image from the `Uri`, use `ImageManager`.

##### Returns

- The image URI for the player's icon-size profile image, or null if the player has none.

#### public abstract long getLastPlayedWithTimestamp ()

Retrieves the timestamp at which this player last played a multiplayer game with the currently signed in user.

##### Returns

- The timestamp (in ms since epoch) at which the player last played a multiplayer game with the currently signed in user.

#### public abstract String getPlayerId ()

Retrieves the ID of this player.

##### Returns

- The player ID.

#### public abstract long getRetrievedTimestamp ()

Retrieves the timestamp at which this player record was last updated locally.

##### Returns

- The timestamp (in ms since epoch) at which the player data was last updated locally.

#### public abstract boolean hasHiResImage ()

Indicates whether this player has a hi-res profile image to display.

##### Returns

- Whether the player has a hi-res profile image to display.

#### public abstract boolean hasIconImage ()

Indicates whether this player has an icon-size profile image to display.

##### Returns

- Whether the player has an icon-size profile image to display.